/**   
* @Title: GetHttpSessionConfigurator.java 
* @Package com.hdp.customerservice.websocket 
* @Description: TODO
* @author new12304508_163_com   
* @date 2015年6月18日 下午2:23:41 
* @version V1.0   
*/
package com.hdp.customerservice.websocket;

import javax.servlet.http.HttpSession;
import javax.websocket.HandshakeResponse;
import javax.websocket.server.HandshakeRequest;
import javax.websocket.server.ServerEndpointConfig;
 
public class GetHttpSessionConfigurator extends ServerEndpointConfig.Configurator
{
    @Override
    public void modifyHandshake(ServerEndpointConfig config, 
                                HandshakeRequest request, 
                                HandshakeResponse response)
    {
        HttpSession httpSession = (HttpSession)request.getHttpSession();
        if(httpSession != null){
        	config.getUserProperties().put(HttpSession.class.getName(),httpSession);
        }
    }
}
